package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校设施名称和图片对照对象 tb_school_facilities_contrast_icon
 * 
 * @author ruoyi
 * @date 2022-10-12
 */
public class TbSchoolFacilitiesContrastIcon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设施类型 */
    @Excel(name = "设施类型")
    private String facilitiesType;

    /** 设施名称 */
    @Excel(name = "设施名称")
    private String facilitiesName;

    /** 设施对应的图片 */
    @Excel(name = "设施对应的图片")
    private Integer icon;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setFacilitiesType(String facilitiesType) 
    {
        this.facilitiesType = facilitiesType;
    }

    public String getFacilitiesType() 
    {
        return facilitiesType;
    }
    public void setFacilitiesName(String facilitiesName) 
    {
        this.facilitiesName = facilitiesName;
    }

    public String getFacilitiesName() 
    {
        return facilitiesName;
    }
    public void setIcon(Integer icon) 
    {
        this.icon = icon;
    }

    public Integer getIcon() 
    {
        return icon;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("facilitiesType", getFacilitiesType())
            .append("facilitiesName", getFacilitiesName())
            .append("icon", getIcon())
            .toString();
    }
}
